# Uses of Class
java.util.concurrent.locks.ReentrantReadWriteLock.ReadLock

Packages that use ReentrantReadWriteLock.ReadLock
Package
Description
java.util.concurrent.locks
Interfaces and classes providing a framework for locking and waiting for conditions that is distinct from built-in synchronization and monitors.

## Uses of ReentrantReadWriteLock.ReadLock in java.util.concurrent.locks

Methods in java.util.concurrent.locks that return ReentrantReadWriteLock.ReadLock
Modifier and Type
Method
Description
`ReentrantReadWriteLock.ReadLock`
ReentrantReadWriteLock.`readLock()`